angular.module('focaHojaRuta')
    .service('hojaRutaService', ['$http', 'API_ENDPOINT', function($http, API_ENDPOINT) {
        var route = API_ENDPOINT.URL;
        return {
            getHojasRuta: function(chofer) {
                return $http.get(route + '/hoja-ruta/chofer/' + chofer);
            },
            postMovimientoHojaRuta: function(datos) {
                return $http.post(route + '/hoja-ruta/movimiento', datos);
            },
            terminarHojaRuta: function(hojaRuta) {
                return $http.get(route + '/hoja-ruta/terminar/' + hojaRuta);
            }
        };
    }]);
